#ifndef EVIDENCE_H
#define EVIDENCE_H

#include <string>

#include <QWidget>
#include <QTableView>
#include <QHBoxLayout>
#include <QStandardItemModel>
#include <QTabWidget>
#include <QTextEdit>
#include <QFrame>
#include <QGroupBox>
#include <QFormLayout>
#include <QHBoxLayout>
#include <QPushButton>
#include <QLineEdit>
#include <QMenu>
#include <QAction>
#include <QMainWindow>
#include <QLabel>
#include <QWebEngineView>

class Evidence : public QMainWindow
{
    Q_OBJECT

public:
    Evidence(QWidget *parent = 0);

    QMenu* filemenu;
    QAction* exit_act;

    QFrame* main_frame;

    QTableView* table;
    QVBoxLayout* layout;
    QStandardItemModel* model;
    QTabWidget *tab;

    QLineEdit* name_edit;
    QLineEdit* sname_edit;
    QLineEdit* age_edit;

    QWidget* tab1;
    QGridLayout* tab1_l;
    QLineEdit* ulice_edit;
    QLineEdit* cp_edit;
    QLineEdit* mesto_edit;
    QLineEdit* psc_edit;

    QFrame* tab2;
    QVBoxLayout* tab2_l;
    QTextEdit* text;

    QHBoxLayout* but_l;
    QPushButton* btn_new;
    QPushButton* btn_save;
    QPushButton* btn_del;

    char *mapUrl;
    QWebEngineView *map;
    QLabel *zoomLabel;

    std::string selectedAddress;

    ~Evidence();

private:
   void fillTable(QTableView* table);
   void createMenu();

   void showInfo(std::string name, std::string sname, std::string age, std::string address);

   std::string intToString(int n);

private slots:
   void personSelected(const QModelIndex& index);
   void zoomChanged(int zoom);
};

#endif // EVIDENCE_H
